package mildo.wiwo.action;

import com.webobjects.appserver.WOComponent;
import com.webobjects.eocontrol.EOEnterpriseObject;

import mildo.wiwo.Session;
import mildo.wiwo.components.descriptors.IActionDescriptor;

public class EditAction 
	implements IActionDescriptor
{

	public EditAction(Session aSession, WOComponent aParent) {
		session = aSession;
		parent = aParent;
	}
	
	private Session session;
	private WOComponent parent;
	private String actionName = "Edit";
	private EOEnterpriseObject object;
	
	public String getActionName() {
		return actionName;
	}

	public EOEnterpriseObject getObject() {
		return object;
	}

	public WOComponent performAction() {
		return null;
	}

	public void setActionName(String value) {
		actionName = value;
	}

	public void setObject(EOEnterpriseObject value) {
		object = value;
	}

	public Session getSession() {
		return session;
	}
	
	public WOComponent getParent() {
		return parent;
	}

	public void setComponent(WOComponent value) {
		parent = value;
	}

	public void setSession(Session aSession) {
		session = aSession;
	}
	
}
